package packTienda;

import java.io.*;
import java.sql.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author MCO
 */
public class Login extends HttpServlet {

    Connection conn = null;
    String imagespath = null;

    public void init(ServletConfig config) throws ServletException {

        super.init(config);
        imagespath = "./img/";

        String url = new String("jdbc:odbc:tienda");
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        } catch (ClassNotFoundException ex) {
            System.out.println("Error al cargar el driver");
            System.out.println(ex.getMessage());
        }
        try {
            conn = DriverManager.getConnection(url, "", "");
        } catch (SQLException sqlEx) {
            System.out.println("Se ha producido un error al establecer la conexión con: " + url);
            System.out.println(sqlEx.getMessage());
        }
    }

    public void destroy() {
        super.destroy();
        System.out.println("Cerrando conexion...");
        try {
            conn.close();
        } catch (SQLException ex) {
            System.out.println("No se pudo cerrar la conexion");
            System.out.println(ex.getMessage());
        }
    }

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        Statement stmt = null;
        ResultSet rs = null;
        String DB_password = null;

        String username = null;
        String password = null;
        username = req.getParameter("username");
        password = req.getParameter("password");

        if (username == null) {
            System.out.println("Se ha producido un error en la lectura de la solicitud");
            return;
        }
        if (password == null) {
            System.out.println("Se ha producido un error en la lectura de la solicitud");
            return;
        }
        try {
            stmt = conn.createStatement();
            rs = stmt.executeQuery("SELECT * FROM Clientes WHERE username = '" + username + "'");

            if (rs.next() == false) {
                Error_Username(resp);
                return;
            } else {
                DB_password = rs.getString("password");
                if (password.equals(DB_password)) {
                    HttpSession session = req.getSession(true);
                    String Id_Cliente = rs.getString("IdCliente");
                    String Nombre_Cliente = rs.getString("Nombre") + " " + rs.getString("Apellido1");
                    String Username = rs.getString("Username");
                    session.setAttribute("Id", Id_Cliente);
                    session.setAttribute("Nombre", Nombre_Cliente);
                    session.setAttribute("Username", Username);
                    DevolverHTML(req, resp);
                    return;
                } else {
                    Error_Password(resp);
                    return;
                }
            }
        } catch (SQLException sql) {
            System.out.println("Se produjo un error al crear el Statement");
            System.out.println(sql.getMessage());
            return;
        } finally {
            if (stmt != null) {
                try {
                    stmt.close();
                } catch (SQLException e) {
                    System.out.println("Error al cerrar el Statement");
                    System.out.println(e.getMessage());
                    return;
                }
            }
        }
    }

    private void DevolverHTML(HttpServletRequest req, HttpServletResponse resp) {

        HttpSession session = req.getSession(false);
        resp.setContentType("text/html");

        PrintWriter out = null;
        try {
            out = resp.getWriter();
        } catch (IOException io) {
            System.out.println("Se ha producido una excepcion");
        }
        out.println("<html>");
        out.println("<head>");
        out.println("<title></title>");
        out.println("</head>");
        out.println("<body>");
        if (session != null) {
            String Usuario = (String) session.getAttribute("Username");
            if (Usuario.equals("administrador") == true) {
                out.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
                out.println("<A HREF=\"Registro_Disco\"><IMG BORDER=0 SRC=\"" + imagespath + "Add_Disco.jpg\"></A>");
                out.println("<A HREF=\"Ver_Clientes\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
                out.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
                out.println("<HR>");
            } else {
                out.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
                out.println("<A HREF=\"Ver_Carrito?IdCliente=" + session.getAttribute("Id") + "\"><IMG BORDER=0 SRC=\"" + imagespath + "Carrito.jpg\"></A>");
                out.println("<A HREF=\"Actualizar_Datos\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
                out.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
                out.println("<HR>");
            }
        }
        out.println("<H2 align=\"center\">Se ha realizado el LOGIN correctamente </H2>");
        out.println("</body>");
        out.println("</html>");
        out.flush();
        out.close();
    }

    private void Error_Username(HttpServletResponse resp) {

        resp.setContentType("text/html");
        PrintWriter out = null;
        try {
            out = resp.getWriter();
        } catch (IOException io) {
            System.out.println("Se ha producido una excepcion");
        }
        out.println("<html>");
        out.println("<head>");
        out.println("<title></title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<BR>");
        out.println("<H2 align=\"center\">El <B>Nombre de Usuario</B> no existe</H2>");
        out.println("</body>");
        out.println("</html>");
        out.flush();
        out.close();
    }

    private void Error_Password(HttpServletResponse resp) {

        resp.setContentType("text/html");
        PrintWriter out = null;
        try {
            out = resp.getWriter();
        } catch (IOException io) {
            System.out.println("Se ha producido una excepcion");
        }
        out.println("<html>");
        out.println("<head>");
        out.println("<title></title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<BR>");
        out.println("<H2 align=\"center\">La <B>Contraseña</B> introducida no es correcta</H2>");
        out.println("</body>");
        out.println("</html>");
        out.flush();
        out.close();
    }

    public String getServletInfo() {
        return "Servlet para la verificacion de un Cliente y un Password";
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
}





 

  

  



